Docs
Search docs...⌘K

Keywords

API + MCP
GET/v3/gsc/keywords

Requests to this endpoint are free and do not consume any API units.

Query parameters

wherestring

Supported fields:

  • keyword
  • top_url
  • url
  • clicks
  • impressions
  • ctr
  • position

Filter is a JSON string that represents a boolean expression, it should follow the following structure:

<bool_filter> ::= { "and" : <bool_filter>+ }
              |   { "or" : <bool_filter>+ }
              |   { "not" : <bool_filter> }
              |   <expr>

<expr> ::= {
             "field" : <dimension|metric>,
             ? "is": <condition>,
           }

<condition> ::= [ "eq", <value> ]
            |   [ "neq", <value> ]
            |   [ "gt", <value> ]
            |   [ "gte", <value> ]
            |   [ "lt", <value> ]
            |   [ "lte", <value> ]
            |   [ "substring", <value> ]
            |   [ "isubstring", <value> ]
            |   [ "phrase_match", <value> ]
            |   [ "iphrase_match", <value> ]
            |   [ "prefix", <value> ]
            |   [ "suffix", <value> ]
limitinteger

The number of results to return.

Default:1000
devicestring

Filter by device type (DESKTOP, MOBILE, TABLET). If not specified, all devices are included.

Allowed values:desktopmobiletablet
countrystring

A two-letter country code (ISO 3166-1 alpha-2).

Allowed values:adaeafagaialamaoarasatauawazbabbbdbebfbgbhbibjbnbobrbsbtbwbybzcacdcfcgchcickclcmcncocrcucvcyczdedjdkdmdodzeceeegesetfifjfmfofrgagbgdgegfggghgiglgmgngpgqgrgtgugyhkhnhrhthuidieiliminiqisitjejmjojpkekgkhkiknkrkwkykzlalblclilklsltlulvlymamcmdmemgmkmlmmmnmqmrmsmtmumvmwmxmymznancnengninlnonpnrnunzompapepfpgphpkplpnprpsptpyqarerorsrurwsasbscsesgshsiskslsmsnsosrstsvtdtgthtjtktltmtntotrtttwtzuaugusuyuzvcvevgvivnvuwsyeytzazmzw
search_typestring

The type of search results to return (web, image, video, news).

Allowed values:webimagevideonews
Default:web
date_tostring

The end date of the historical period in YYYY-MM-DD format.

date_fromstringRequired

The start date of the historical period in YYYY-MM-DD format.

portfolio_idinteger

Portfolio ID. When provided, aggregates data across all GSC-connected projects in the portfolio.

project_idinteger

Project ID. Required when portfolio_id is not provided.

outputstring

The output format.

Allowed values:jsoncsvxmlphp

Responses

keywordsarray
keywordstring
urls_countinteger
top_urlstring or null
clicksinteger or null
impressionsinteger or null
ctrnumber or null
positionnumber or null